Bug 1542580 - qt5-qtwebchannel 5.9.4 needs dependency on qt5-qtbase = 5.9.4
Summary: qt5-qtwebchannel 5.9.4 needs dependency on qt5-qtbase = 5.9.4
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: qt5-qtwebchannel
Version: 27
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Taylor Braun-Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-02-06 15:33 UTC by Kevin Kofler
Modified: 2018-02-15 16:23 UTC (History)
3 users (show)

Fixed In Version: qt5-qtwebchannel-5.9.4-2.fc27 qt5-qtwebchannel-5.9.4-2.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-15 16:23:26 UTC


Attachments (Terms of Use)

Description Kevin Kofler 2018-02-06 15:33:51 UTC
Description of problem:
qt5-qtwebchannel uses private headers from QtBase and hence needs:
%{?_qt5_version:Requires: qt5-qtbase%{?_isa} = %{_qt5_version}}

Otherwise, dnf can upgrade qt5-qtwebchannel without upgrading qt5-qtbase (e.g., because qt5-qtwebengine-freeworld needs a rebuild before the whole set can be updated), which breaks QupZilla.

Version-Release number of selected component (if applicable):
qt5-qtwebchannel-5.9.4-1.fc27
qt5-qtwebchannel-5.9.4-1.fc26

How reproducible:
Always

Steps to Reproduce:
1. Have qt5-qtwebengine-freeworld installed.
2. Run today's F27 updates (https://bodhi.fedoraproject.org/updates/FEDORA-2018-3c21305b93), or the F26 update from updates-testing (https://bodhi.fedoraproject.org/updates/FEDORA-2018-40497e6b72).

Actual results:
qt5-qtwebchannel gets upgraded without qt5-qtbase and stops working.

Expected results:
qt5-qtwebchannel can only get upgraded when qt5-qtbase gets upgraded as well.

Additional info:
This probably needs to be fixed in Rawhide (5.10.x) too.

Comment 1 Fedora Update System 2018-02-06 15:47:10 UTC
qt5-qtwebchannel-5.9.4-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-556a03002d

Comment 2 Fedora Update System 2018-02-06 15:51:33 UTC
analitza-16.12.3-2.fc26 calibre-3.12.0-2.fc26 dnscrypt-proxy-gui-1.11.11-2.fc26 gammaray-2.8.1-3.fc26 kf5-akonadi-server-17.12.1-2.fc26 kf5-frameworkintegration-5.42.0-2.fc26 kf5-kdeclarative-5.42.0-2.fc26 kf5-kwayland-5.42.0-2.fc26 kwin-5.10.5-3.fc26 libfm-qt-0.11.2-8.fc26 libqtxdg-2.0.0-8.fc26 lxqt-qtplugin-0.11.1-8.fc26 mscore-2.1.0-8.fc26 plasma-integration-5.10.5-3.fc26 postbooks-4.10.1-16.fc26 pyotherside-1.5.3-3.fc26 python-qt5-5.9.1-2.fc26 pythonqt-3.2-5.fc26 qgnomeplatform-0.3-6.fc26 qstardict-1.2-7.fc26 qt-creator-4.5.0-2.fc26.1 qt5-5.9.4-2.fc26 qt5-qt3d-5.9.4-1.fc26 qt5-qtbase-5.9.4-2.fc26 qt5-qtcanvas3d-5.9.4-1.fc26 qt5-qtcharts-5.9.4-1.fc26 qt5-qtconnectivity-5.9.4-1.fc26 qt5-qtdatavis3d-5.9.4-1.fc26 qt5-qtdeclarative-5.9.4-1.fc26 qt5-qtdoc-5.9.4-1.fc26 qt5-qtgamepad-5.9.4-1.fc26 qt5-qtgraphicaleffects-5.9.4-1.fc26 qt5-qtimageformats-5.9.4-1.fc26 qt5-qtlocation-5.9.4-1.fc26 qt5-qtmultimedia-5.9.4-1.fc26 qt5-qtquickcontrols-5.9.4-1.fc26 qt5-qtquickcontrols2-5.9.4-1.fc26 qt5-qtremoteobjects-5.9.4-1.fc26 qt5-qtscript-5.9.4-1.fc26 qt5-qtscxml-5.9.4-1.fc26 qt5-qtsensors-5.9.4-1.fc26 qt5-qtserialport-5.9.4-1.fc26 qt5-qtspeech-5.9.4-2.fc26 qt5-qtstyleplugins-5.0.0-22.fc26 qt5-qtsvg-5.9.4-1.fc26 qt5-qttools-5.9.4-1.fc26 qt5-qttranslations-5.9.4-1.fc26 qt5-qtvirtualkeyboard-5.9.4-1.fc26 qt5-qtwayland-5.9.4-1.fc26 qt5-qtwebchannel-5.9.4-2.fc26 qt5-qtwebengine-5.10.0-2.fc26 qt5-qtwebkit-5.212.0-0.15.alpha2.fc26 qt5-qtwebsockets-5.9.4-1.fc26 qt5-qtwebview-5.9.4-1.fc26 qt5-qtx11extras-5.9.4-1.fc26 qt5-qtxmlpatterns-5.9.4-1.fc26 qt5ct-0.34-2.fc26 skrooge-2.10.5-2.fc26 ugene-1.28.1-2.fc26 yarock-1.3.0-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-40497e6b72

Comment 3 Fedora Update System 2018-02-06 15:51:55 UTC
analitza-16.12.3-2.fc26 calibre-3.12.0-2.fc26 dnscrypt-proxy-gui-1.11.11-2.fc26 gammaray-2.8.1-3.fc26 kf5-akonadi-server-17.12.1-2.fc26 kf5-frameworkintegration-5.42.0-2.fc26 kf5-kdeclarative-5.42.0-2.fc26 kf5-kwayland-5.42.0-2.fc26 kwin-5.10.5-3.fc26 libfm-qt-0.11.2-8.fc26 libqtxdg-2.0.0-8.fc26 lxqt-qtplugin-0.11.1-8.fc26 mscore-2.1.0-8.fc26 plasma-integration-5.10.5-3.fc26 postbooks-4.10.1-16.fc26 pyotherside-1.5.3-3.fc26 python-qt5-5.9.1-2.fc26 pythonqt-3.2-5.fc26 qgnomeplatform-0.3-6.fc26 qstardict-1.2-7.fc26 qt-creator-4.5.0-2.fc26.1 qt5-5.9.4-2.fc26 qt5-qt3d-5.9.4-1.fc26 qt5-qtbase-5.9.4-2.fc26 qt5-qtcanvas3d-5.9.4-1.fc26 qt5-qtcharts-5.9.4-1.fc26 qt5-qtconnectivity-5.9.4-1.fc26 qt5-qtdatavis3d-5.9.4-1.fc26 qt5-qtdeclarative-5.9.4-1.fc26 qt5-qtdoc-5.9.4-1.fc26 qt5-qtgamepad-5.9.4-1.fc26 qt5-qtgraphicaleffects-5.9.4-1.fc26 qt5-qtimageformats-5.9.4-1.fc26 qt5-qtlocation-5.9.4-1.fc26 qt5-qtmultimedia-5.9.4-1.fc26 qt5-qtquickcontrols-5.9.4-1.fc26 qt5-qtquickcontrols2-5.9.4-1.fc26 qt5-qtremoteobjects-5.9.4-1.fc26 qt5-qtscript-5.9.4-1.fc26 qt5-qtscxml-5.9.4-1.fc26 qt5-qtsensors-5.9.4-1.fc26 qt5-qtserialport-5.9.4-1.fc26 qt5-qtspeech-5.9.4-2.fc26 qt5-qtstyleplugins-5.0.0-22.fc26 qt5-qtsvg-5.9.4-1.fc26 qt5-qttools-5.9.4-1.fc26 qt5-qttranslations-5.9.4-1.fc26 qt5-qtvirtualkeyboard-5.9.4-1.fc26 qt5-qtwayland-5.9.4-1.fc26 qt5-qtwebchannel-5.9.4-2.fc26 qt5-qtwebengine-5.10.0-2.fc26 qt5-qtwebkit-5.212.0-0.15.alpha2.fc26 qt5-qtwebsockets-5.9.4-1.fc26 qt5-qtwebview-5.9.4-1.fc26 qt5-qtx11extras-5.9.4-1.fc26 qt5-qtxmlpatterns-5.9.4-1.fc26 qt5ct-0.34-2.fc26 skrooge-2.10.5-2.fc26 ugene-1.28.1-2.fc26 yarock-1.3.0-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-40497e6b72

Comment 4 Fedora Update System 2018-02-07 13:50:47 UTC
analitza-16.12.3-2.fc26, calibre-3.12.0-2.fc26, dnscrypt-proxy-gui-1.11.11-2.fc26, gammaray-2.8.1-3.fc26, kf5-akonadi-server-17.12.1-2.fc26, kf5-frameworkintegration-5.42.0-2.fc26, kf5-kdeclarative-5.42.0-2.fc26, kf5-kwayland-5.42.0-2.fc26, kwin-5.10.5-3.fc26, libfm-qt-0.11.2-8.fc26, libqtxdg-2.0.0-8.fc26, lxqt-qtplugin-0.11.1-8.fc26, mscore-2.1.0-8.fc26, plasma-integration-5.10.5-3.fc26, postbooks-4.10.1-16.fc26, pyotherside-1.5.3-3.fc26, python-qt5-5.9.1-2.fc26, pythonqt-3.2-5.fc26, qgnomeplatform-0.3-6.fc26, qstardict-1.2-7.fc26, qt-creator-4.5.0-2.fc26.1, qt5-5.9.4-2.fc26, qt5-qt3d-5.9.4-1.fc26, qt5-qtbase-5.9.4-2.fc26, qt5-qtcanvas3d-5.9.4-1.fc26, qt5-qtcharts-5.9.4-1.fc26, qt5-qtconnectivity-5.9.4-1.fc26, qt5-qtdatavis3d-5.9.4-1.fc26, qt5-qtdeclarative-5.9.4-1.fc26, qt5-qtdoc-5.9.4-1.fc26, qt5-qtenginio-1.6.2-12.fc26, qt5-qtgamepad-5.9.4-1.fc26, qt5-qtgraphicaleffects-5.9.4-1.fc26, qt5-qtimageformats-5.9.4-1.fc26, qt5-qtlocation-5.9.4-1.fc26, qt5-qtmultimedia-5.9.4-1.fc26, qt5-qtquickcontrols-5.9.4-1.fc26, qt5-qtquickcontrols2-5.9.4-1.fc26, qt5-qtremoteobjects-5.9.4-2.fc26, qt5-qtscript-5.9.4-1.fc26, qt5-qtscxml-5.9.4-1.fc26, qt5-qtsensors-5.9.4-1.fc26, qt5-qtserialport-5.9.4-1.fc26, qt5-qtspeech-5.9.4-2.fc26, qt5-qtstyleplugins-5.0.0-22.fc26, qt5-qtsvg-5.9.4-1.fc26, qt5-qttools-5.9.4-1.fc26, qt5-qttranslations-5.9.4-1.fc26, qt5-qtvirtualkeyboard-5.9.4-1.fc26, qt5-qtwayland-5.9.4-1.fc26, qt5-qtwebchannel-5.9.4-2.fc26, qt5-qtwebengine-5.10.0-2.fc26, qt5-qtwebkit-5.212.0-0.15.alpha2.fc26, qt5-qtwebsockets-5.9.4-1.fc26, qt5-qtwebview-5.9.4-1.fc26, qt5-qtx11extras-5.9.4-1.fc26, qt5-qtxmlpatterns-5.9.4-1.fc26, qt5ct-0.34-2.fc26, skrooge-2.10.5-2.fc26, ugene-1.28.1-2.fc26, yarock-1.3.0-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-40497e6b72

Comment 5 Fedora Update System 2018-02-07 14:09:36 UTC
qt5-qtwebchannel-5.9.4-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-556a03002d

Comment 6 Fedora Update System 2018-02-09 16:29:51 UTC
qt5-qtwebchannel-5.9.4-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2018-02-13 17:53:13 UTC
analitza-16.12.3-2.fc26 calibre-3.12.0-2.fc26 dnscrypt-proxy-gui-1.11.11-2.fc26 fcitx-qt5-1.2.2-3.fc26 gammaray-2.8.1-3.fc26 kf5-akonadi-server-17.12.1-2.fc26 kf5-frameworkintegration-5.42.0-2.fc26 kf5-kdeclarative-5.42.0-2.fc26 kf5-kwayland-5.42.0-2.fc26 kwin-5.10.5-3.fc26 libfm-qt-0.11.2-8.fc26 libqtxdg-2.0.0-8.fc26 lxqt-qtplugin-0.11.1-8.fc26 mscore-2.1.0-8.fc26 plasma-integration-5.10.5-3.fc26 postbooks-4.10.1-16.fc26 pyotherside-1.5.3-3.fc26 python-qt5-5.9.1-2.fc26 pythonqt-3.2-5.fc26 qgnomeplatform-0.3-6.fc26 qstardict-1.2-7.fc26 qt-creator-4.5.0-2.fc26.1 qt5-5.9.4-2.fc26 qt5-qt3d-5.9.4-1.fc26 qt5-qtbase-5.9.4-2.fc26 qt5-qtcanvas3d-5.9.4-1.fc26 qt5-qtcharts-5.9.4-1.fc26 qt5-qtconnectivity-5.9.4-1.fc26 qt5-qtdatavis3d-5.9.4-1.fc26 qt5-qtdeclarative-5.9.4-1.fc26 qt5-qtdoc-5.9.4-1.fc26 qt5-qtenginio-1.6.2-12.fc26 qt5-qtgamepad-5.9.4-1.fc26 qt5-qtgraphicaleffects-5.9.4-1.fc26 qt5-qtimageformats-5.9.4-1.fc26 qt5-qtlocation-5.9.4-1.fc26 qt5-qtmultimedia-5.9.4-1.fc26 qt5-qtquickcontrols-5.9.4-1.fc26 qt5-qtquickcontrols2-5.9.4-1.fc26 qt5-qtremoteobjects-5.9.4-2.fc26 qt5-qtscript-5.9.4-1.fc26 qt5-qtscxml-5.9.4-1.fc26 qt5-qtsensors-5.9.4-1.fc26 qt5-qtserialport-5.9.4-1.fc26 qt5-qtspeech-5.9.4-2.fc26 qt5-qtstyleplugins-5.0.0-22.fc26 qt5-qtsvg-5.9.4-1.fc26 qt5-qttools-5.9.4-1.fc26 qt5-qttranslations-5.9.4-1.fc26 qt5-qtvirtualkeyboard-5.9.4-1.fc26 qt5-qtwayland-5.9.4-1.fc26 qt5-qtwebchannel-5.9.4-2.fc26 qt5-qtwebengine-5.10.0-2.fc26 qt5-qtwebkit-5.212.0-0.15.alpha2.fc26 qt5-qtwebsockets-5.9.4-1.fc26 qt5-qtwebview-5.9.4-1.fc26 qt5-qtx11extras-5.9.4-1.fc26 qt5-qtxmlpatterns-5.9.4-1.fc26 qt5ct-0.34-2.fc26 skrooge-2.10.5-2.fc26 ugene-1.28.1-2.fc26 yarock-1.3.0-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-40497e6b72

Comment 8 Fedora Update System 2018-02-14 17:58:25 UTC
analitza-16.12.3-2.fc26, calibre-3.12.0-2.fc26, dnscrypt-proxy-gui-1.11.11-2.fc26, fcitx-qt5-1.2.2-3.fc26, gammaray-2.8.1-3.fc26, kf5-akonadi-server-17.12.1-2.fc26, kf5-frameworkintegration-5.42.0-2.fc26, kf5-kdeclarative-5.42.0-2.fc26, kf5-kwayland-5.42.0-2.fc26, kwin-5.10.5-3.fc26, libfm-qt-0.11.2-8.fc26, libqtxdg-2.0.0-8.fc26, lxqt-qtplugin-0.11.1-8.fc26, mscore-2.1.0-8.fc26, plasma-integration-5.10.5-3.fc26, postbooks-4.10.1-16.fc26, pyotherside-1.5.3-3.fc26, python-qt5-5.9.1-2.fc26, pythonqt-3.2-5.fc26, qgnomeplatform-0.3-6.fc26, qstardict-1.2-7.fc26, qt-creator-4.5.0-2.fc26.1, qt5-5.9.4-2.fc26, qt5-qt3d-5.9.4-1.fc26, qt5-qtbase-5.9.4-2.fc26, qt5-qtcanvas3d-5.9.4-1.fc26, qt5-qtcharts-5.9.4-1.fc26, qt5-qtconnectivity-5.9.4-1.fc26, qt5-qtdatavis3d-5.9.4-1.fc26, qt5-qtdeclarative-5.9.4-1.fc26, qt5-qtdoc-5.9.4-1.fc26, qt5-qtenginio-1.6.2-12.fc26, qt5-qtgamepad-5.9.4-1.fc26, qt5-qtgraphicaleffects-5.9.4-1.fc26, qt5-qtimageformats-5.9.4-1.fc26, qt5-qtlocation-5.9.4-1.fc26, qt5-qtmultimedia-5.9.4-1.fc26, qt5-qtquickcontrols-5.9.4-1.fc26, qt5-qtquickcontrols2-5.9.4-1.fc26, qt5-qtremoteobjects-5.9.4-2.fc26, qt5-qtscript-5.9.4-1.fc26, qt5-qtscxml-5.9.4-1.fc26, qt5-qtsensors-5.9.4-1.fc26, qt5-qtserialport-5.9.4-1.fc26, qt5-qtspeech-5.9.4-2.fc26, qt5-qtstyleplugins-5.0.0-22.fc26, qt5-qtsvg-5.9.4-1.fc26, qt5-qttools-5.9.4-1.fc26, qt5-qttranslations-5.9.4-1.fc26, qt5-qtvirtualkeyboard-5.9.4-1.fc26, qt5-qtwayland-5.9.4-1.fc26, qt5-qtwebchannel-5.9.4-2.fc26, qt5-qtwebengine-5.10.0-2.fc26, qt5-qtwebkit-5.212.0-0.15.alpha2.fc26, qt5-qtwebsockets-5.9.4-1.fc26, qt5-qtwebview-5.9.4-1.fc26, qt5-qtx11extras-5.9.4-1.fc26, qt5-qtxmlpatterns-5.9.4-1.fc26, qt5ct-0.34-2.fc26, skrooge-2.10.5-2.fc26, ugene-1.28.1-2.fc26, yarock-1.3.0-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-40497e6b72

Comment 9 Fedora Update System 2018-02-15 16:23:26 UTC
analitza-16.12.3-2.fc26, calibre-3.12.0-2.fc26, dnscrypt-proxy-gui-1.11.11-2.fc26, fcitx-qt5-1.2.2-3.fc26, gammaray-2.8.1-3.fc26, kf5-akonadi-server-17.12.1-2.fc26, kf5-frameworkintegration-5.42.0-2.fc26, kf5-kdeclarative-5.42.0-2.fc26, kf5-kwayland-5.42.0-2.fc26, kwin-5.10.5-3.fc26, libfm-qt-0.11.2-8.fc26, libqtxdg-2.0.0-8.fc26, lxqt-qtplugin-0.11.1-8.fc26, mscore-2.1.0-8.fc26, plasma-integration-5.10.5-3.fc26, postbooks-4.10.1-16.fc26, pyotherside-1.5.3-3.fc26, python-qt5-5.9.1-2.fc26, pythonqt-3.2-5.fc26, qgnomeplatform-0.3-6.fc26, qstardict-1.2-7.fc26, qt-creator-4.5.0-2.fc26.1, qt5-5.9.4-2.fc26, qt5-qt3d-5.9.4-1.fc26, qt5-qtbase-5.9.4-2.fc26, qt5-qtcanvas3d-5.9.4-1.fc26, qt5-qtcharts-5.9.4-1.fc26, qt5-qtconnectivity-5.9.4-1.fc26, qt5-qtdatavis3d-5.9.4-1.fc26, qt5-qtdeclarative-5.9.4-1.fc26, qt5-qtdoc-5.9.4-1.fc26, qt5-qtenginio-1.6.2-12.fc26, qt5-qtgamepad-5.9.4-1.fc26, qt5-qtgraphicaleffects-5.9.4-1.fc26, qt5-qtimageformats-5.9.4-1.fc26, qt5-qtlocation-5.9.4-1.fc26, qt5-qtmultimedia-5.9.4-1.fc26, qt5-qtquickcontrols-5.9.4-1.fc26, qt5-qtquickcontrols2-5.9.4-1.fc26, qt5-qtremoteobjects-5.9.4-2.fc26, qt5-qtscript-5.9.4-1.fc26, qt5-qtscxml-5.9.4-1.fc26, qt5-qtsensors-5.9.4-1.fc26, qt5-qtserialport-5.9.4-1.fc26, qt5-qtspeech-5.9.4-2.fc26, qt5-qtstyleplugins-5.0.0-22.fc26, qt5-qtsvg-5.9.4-1.fc26, qt5-qttools-5.9.4-1.fc26, qt5-qttranslations-5.9.4-1.fc26, qt5-qtvirtualkeyboard-5.9.4-1.fc26, qt5-qtwayland-5.9.4-1.fc26, qt5-qtwebchannel-5.9.4-2.fc26, qt5-qtwebengine-5.10.0-2.fc26, qt5-qtwebkit-5.212.0-0.15.alpha2.fc26, qt5-qtwebsockets-5.9.4-1.fc26, qt5-qtwebview-5.9.4-1.fc26, qt5-qtx11extras-5.9.4-1.fc26, qt5-qtxmlpatterns-5.9.4-1.fc26, qt5ct-0.34-2.fc26, skrooge-2.10.5-2.fc26, ugene-1.28.1-2.fc26, yarock-1.3.0-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.